#
# spec file for package python-yattag
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-yattag
Version:        1.16.1
Release:        2.1
Summary:        Generate HTML or XML in a pythonic way
License:        LGPL-2.1-only
URL:            https://www.yattag.org
Source:         https://files.pythonhosted.org/packages/source/y/yattag/yattag-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Generate HTML or XML in a pythonic way.
Pure python alternative to web template engines.
Can fill HTML forms with default values and error messages.

%prep
%setup -q -n yattag-%{version}
sed -i 's/distutils.core/setuptools/' setup.py
sed -i '/typing/d' setup.py
touch test/__init__.py

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest test/*.py

%files %{python_files}
%doc README.rst
%license license/lgpl-2.1.txt
%{python_sitelib}/yattag
%{python_sitelib}/yattag-%{version}.dist-info

%changelog
* Mon Jul 14 2025 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
* Wed Nov 20 2024 Dirk Müller <dmueller@suse.com>
- update to 1.16.1:
  * Added AsIs for inserting un-escaped strings as attribute values.
  * Added format_attr_value() to format attribute values
  * improving typing annotations
* Fri Dec 29 2023 Dirk Müller <dmueller@suse.com>
- update to 1.15.2:
  * Add exports to _all__
* Tue May  2 2023 Andreas Stieger <Andreas.Stieger@gmx.de>
- Update to 1.15.1:
  * remove deprecated escape sequences in tests_indentation.py
- fixup spec and warnings for Factory submission
* Fri Feb 17 2023 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Updated to release 1.15.0
* Sun Dec 29 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.13.1
